Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Class NamedQueryDefinition

    java.lang.Object
      org.hibernate.engine.NamedQueryDefinition

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NamedSQLQueryDefinition

    public class NamedQueryDefinition

extends Object
implements Serializable

Definition of a named query, defined in the mapping metadata.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`NamedQueryDefinition(String query, boolean cacheable, String cacheRegion, Integer timeout, Integer fetchSize, FlushMode flushMode, CacheMode cacheMode, boolean readOnly, String comment, Map parameterTypes)`
`NamedQueryDefinition(String query, boolean cacheable, String cacheRegion, Integer timeout, Integer fetchSize, FlushMode flushMode, Map parameterTypes)`

Method Summary
`CacheMode` | `getCacheMode()`
`String` | `getCacheRegion()`
`String` | `getComment()`
`Integer` | `getFetchSize()`
`FlushMode` | `getFlushMode()`
`Map` | `getParameterTypes()`
`String` | `getQuery()`
`String` | `getQueryString()`
`Integer` | `getTimeout()`
`boolean` | `isCacheable()`
`boolean` | `isReadOnly()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedQueryDefinition

    public NamedQueryDefinition(String query,
                                boolean cacheable,
                                String cacheRegion,
                                Integer timeout,
                                Integer fetchSize,
                                FlushMode flushMode,
                                Map parameterTypes)

### NamedQueryDefinition

    public NamedQueryDefinition(String query,
                                boolean cacheable,
                                String cacheRegion,
                                Integer timeout,
                                Integer fetchSize,
                                FlushMode flushMode,
                                CacheMode cacheMode,
                                boolean readOnly,
                                String comment,
                                Map parameterTypes)

Method Detail

### getQueryString

    public String getQueryString()

### isCacheable

    public boolean isCacheable()

### getCacheRegion

    public String getCacheRegion()

### getFetchSize

    public Integer getFetchSize()

### getTimeout

    public Integer getTimeout()

### getFlushMode

    public FlushMode getFlushMode()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getParameterTypes

    public Map getParameterTypes()

### getQuery

    public String getQuery()

### getCacheMode

    public CacheMode getCacheMode()

### isReadOnly

    public boolean isReadOnly()

### getComment

    public String getComment()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD